#ifndef __PRSONA_NETWORK_CLIENT_HPP
#define __PRSONA_NETWORK_CLIENT_HPP

#include "client.hpp"

class PrsonaNetworkClient : public PrsonaClient {
    public:
        // CONSTRUCTORS
        PrsonaNetworkClient(
            const std::vector<Proof>& generatorProof,
            const Curvepoint& elGamalBlindGenerator,
            const BGNPublicKey& serverPublicKey,
            const size_t numServers);
}; 

#endif